Name:     nonstd-bit-lite-devel
%define altname bit-lite
Version:  0.1.0
Release:  1%{?dist}
Summary:  C++20 bit operations for C++98 and later in a single-file header-only library.
License:  BSL-1.0
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/%{version}.tar.gz#/%{altname}-%{version}.tar.gz
Patch0:   big-endian.patch
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
bit lite is a single-file header-only library to provide the tools from the
C++20 header <bit> for use with C++98 and later. If available, the standard
header is used, unless configured otherwise.

%prep
%autosetup -p1 -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_includedir}/nonstd/*.hpp
%{_libdir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 0.1.0-1
- Initial version of the package
